import { ChildGroup, Item, ItemMap, MappedItem, RowCollection, RowMap } from './timeline-data';
export interface RowOptions {
    collection: RowCollection;
    group: ChildGroup;
    index: number;
    intervals: number[];
    itemHeight: number;
    itemMap: ItemMap;
    rowMap: RowMap;
    timebarHeight: number;
    minGroupHeight: number;
    groupTopPadding: number;
    groupBottomPadding: number;
}
export default class Row {
    group: ChildGroup;
    index: number;
    collection: RowCollection;
    intervals: number[];
    itemHeight: number;
    itemIds: Set<Item['id']>;
    itemMap: ItemMap;
    rowMap: RowMap;
    timebarHeight: number;
    minGroupHeight: number;
    groupTopPadding: number;
    groupBottomPadding: number;
    private offsets;
    private _height;
    constructor({ collection, group, index, intervals, itemHeight, itemMap, rowMap, timebarHeight, minGroupHeight, groupTopPadding, groupBottomPadding, }: RowOptions);
    get height(): number;
    get top(): number;
    get bottom(): number;
    recalculate(): void;
    get items(): MappedItem[];
    addItem(item: Item): void;
    removeItem(item: Item): void;
    getItemTopOffset(item: Item, itemHeight: number): number;
    getItemsByIntervalRange(startIndex: number, endIndex: number): MappedItem[];
}
