import Row from './row';
export interface ParentGroup {
    name: string;
    groups: ChildGroup[];
    [index: string]: any;
}
export interface ChildGroup {
    id: string;
    name: string;
    [index: string]: any;
}
export interface Item {
    id: string;
    groupId: string;
    start: number;
    end: number;
}
export declare type MappedItem = Item & {
    row: Row;
};
export declare type ItemMap = Map<string, MappedItem>;
export declare type RowMap = Map<number, Row>;
export declare type RowCollection = {
    index: number;
    name: string;
    rows: Array<Row>;
};
export interface MapTimelineDateOptions {
    groups: ParentGroup[] | ChildGroup[];
    intervals: number[];
    items: Item[];
    itemHeight: number;
    timebarHeight: number;
    snapDuration: number;
    minGroupHeight: number;
    groupTopPadding: number;
    groupBottomPadding: number;
}
export declare function getTimelineData({ groups, intervals, itemHeight, items, snapDuration, timebarHeight, minGroupHeight, groupTopPadding, groupBottomPadding, }: MapTimelineDateOptions): [ItemMap, RowMap];
export declare function getUnmappedItem({ row, ...item }: MappedItem): Item;
