import { ReactElement } from 'react';
import { VariableSizeGridProps } from 'react-window';
import { GroupRenderer, ItemRenderer, TimebarHeaderRenderer, TimebarIntervalRenderer, RowRenderer, ColumnRenderer, SidebarHeaderRenderer, SidebarRenderer, BodyRenderer } from './context';
import { ChildGroup, ParentGroup } from './timeline-data';
declare type VariableSizeGridPropsOmitted = 'children' | 'columnCount' | 'columnWidth' | 'innerElementType' | 'onItemsRendered' | 'outerElementType' | 'removeItem' | 'rowCount' | 'rowHeight';
export interface TimelineProps extends Omit<VariableSizeGridProps, VariableSizeGridPropsOmitted> {
    endTime: number;
    groups: ParentGroup[] | ChildGroup[];
    height: number;
    intervalDuration: number;
    intervalWidth: number;
    itemRenderer: ItemRenderer<any>;
    items: any[];
    startTime: number;
    width: number;
    bodyRenderer?: BodyRenderer;
    children?: ReactElement | null;
    columnRenderer?: ColumnRenderer;
    groupRenderer?: GroupRenderer;
    groupTopPadding?: number;
    groupBottomPadding?: number;
    initialScrollTime?: number;
    itemData?: any;
    itemHeight?: number;
    minItemWidth?: number;
    minGroupHeight?: number;
    onItemUpdate?: (item: any) => void;
    rowRenderer?: RowRenderer;
    sidebarHeaderRenderer?: SidebarHeaderRenderer;
    sidebarRenderer?: SidebarRenderer;
    collectionSidebarWidth?: number;
    groupSidebarWidth?: number;
    snapDuration?: number;
    timebarHeaderHeight?: number;
    timebarHeaderRenderer?: TimebarHeaderRenderer;
    timebarIntervalHeight?: number;
    timebarIntervalRenderer?: TimebarIntervalRenderer;
}
export default function Timeline(props: TimelineProps): ReactElement;
export {};
